<template>
    <div>
        <br />
        <QuestBtn
            v-for="i in last_page"
            :disabled="(Number($route.query.page) || 1) === i"
            :key="i"
            @click="$router.push({ query: { ...$route.query, page: i } })"
        >
            {{ i }}</QuestBtn
        ><br /><br />
    </div>
</template>

<script>
import QuestBtn from "@/components/QuestBtn";
export default {
    name: "Pagination",
    components: { QuestBtn },
    props: { last_page: Number, page: Number },
    watch: {
        last_page(last_page) {
            if (last_page < this.page)
                this.$router.push({
                    query: { ...this.$route.query, page: last_page },
                });
        },
    },
};
</script>

<style scoped></style>
